Description

In QgsMessageLog, at the moment there are no log levels defined afaics.

logMessage takes an int argument "level", which is probably meant for this and defaults to 0.

I propose to insert an enum as follows:

enum QgsMessageLog::LogLevel {

  Info: 0,

  Debug: 1,

  Warning: 2,

  Error: 3,

  Critical: 4

}

History

#1 - 2013-01-09 09:56 AM - Matthias Kuhn

Info and Debug should probably be changed.

So it would be:

enum QgsMessageLog::LogLevel {

Debug: 0,

Info: 1,

Warning: 2,

Error: 3,

Critical: 4

}

#2 - 2015-11-12 12:48 AM - Médéric RIBREUX

Hello, bug triage...

for the moment, there are three log levels (MessageLevel) in QgsMessaheLog: 

http://qgis.org/api/group__core.html#gaff7f29543072899ec0d93e1fe4d2a51d

do you consider this sufficient (and this feature request can be closed) or should we kept the feature request opened until your 5 levels are implemented ?
http://qgis.org/api/group__core.html#gaff7f29543072899ec0d93e1fe4d2a51d


#3 - 2015-11-12 01:10 AM - Matthias Kuhn

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Haven't missed more levels yet.

#4 - 2015-11-12 01:11 AM - Matthias Kuhn

Btw, when you triage bugs, please set the state to "Feedback" so we can filter these later and kill the quiet ones.

#5 - 2015-11-12 02:35 AM - Jürgen Fischer

The idea with the log level originally was to go through all the messages and assign levels.  Currently the log level is (almost?) never used - and instead of

assigning levels to messages and only notify about new ones by level (not sure if info message caused a popup), the whole notification was removed - so

apparently now nobody notices messages unless he explicitly looks for them or has the log window open all the time.

And so ftools for instance is accused of "silently" dropping features although it's quite noisy about it in the "invisible" message log.

#6 - 2015-11-12 03:43 AM - Matthias Kuhn

+1 Jürgen, I like the idea.

Instead of a popup a message bar item could be used "3 Warnings pending. Click here to see them". If its message bar items acceptance of people who do

not like noisy message logs generally increases suddenly.

#7 - 2015-11-12 10:25 AM - Médéric RIBREUX

Matthias Kuhn wrote:

Btw, when you triage bugs, please set the state to "Feedback" so we can filter these later and kill the quiet ones.

I am sorry but for my account it seems that the only status that I've found are "Open" or "Closed", no "Feedback".

Should my account be "upgraded" ?
